=== debian/changelog ===
openssl (0.9.8g-15ubuntu3.18common0sendai1) jaunty; urgency=low

  * Version bump. 

 -- Jun Kobayashi <kobayashi@kobayasystem.jp>  Wed, 25 Apr 2012 17:52:50 +0900

openssl (0.9.8g-4ubuntu3.18) hardy-security; urgency=low

  * SECURITY UPDATE: incomplete fix for CVE-2012-2110
    - crypto/buffer/buffer.c: also verify 'len' in BUF_MEM_grow and
      BUF_MEM_grow_clean is non-negative
    - http://cvs.openssl.org/chngview?cn=22479
    - CVE-2012-2131
  * crypto/buffer/buffer.c: Use correct error code in BUF_MEM_grow_clean()
    - http://cvs.openssl.org/chngview?cn=22476

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 24 Apr 2012 08:33:44 -0500

openssl (0.9.8g-4ubuntu3.17) hardy-security; urgency=low

  * SECURITY UPDATE: fix various overflows
    - adjust crypto/a_d2i_fp.c, crypto/buffer.c and crypto/mem.c to verify
      size of lengths
    - http://cvs.openssl.org/chngview?cn=22439
    - CVE-2012-2110

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 19 Apr 2012 10:26:01 -0500

openssl (0.9.8g-4ubuntu3.15) hardy-security; urgency=low

  * SECURITY UPDATE: ECDSA private key timing attack
    - crypto/ecdsa/ecs_ossl.c: compute with fixed scalar length
    - http://cvs.openssl.org/chngview?cn=20892
    - CVE-2011-1945
  * SECURITY UPDATE: ECDH ciphersuite denial of service
    - ssl/s3_lib.c, file ssl/s3_srvr.c: fix memory usage for thread
      safety
    - http://cvs.openssl.org/chngview?cn=21334
    - CVE-2011-3210
  * SECURITY UPDATE: DTLS plaintext recovery attack (LP: #922229)
    - ssl/d1_pkt.c: perform all computations before discarding messages
    - http://cvs.openssl.org/chngview?cn=21942
    - http://cvs.openssl.org/chngview?cn=19574
    - CVE-2011-4108
  * SECURITY UPDATE: policy check double free vulnerability
    - crypto/x509v3/pcy_map.c, crypto/x509v3/pcy_tree.c: only free
      domain policy in one location
    - http://cvs.openssl.org/chngview?cn=21941
    - CVE-2011-4019
  * SECURITY UPDATE: incorrect elliptic curve computation TLS key
    exposure
    - crypto/bn/bn_nist.c: perform ellyiptic curve computations
      correctly
    - update to http://cvs.openssl.org/fileview?f=openssl/crypto/bn/bn_nist.c&v=1.20
    - CVE-2011-4354
  * SECURITY UPDATE: SSL 3.0 block padding exposure
    - ssl/s3_enc.c: clear bytes used for block padding of SSL 3.0
      records.
    - http://cvs.openssl.org/chngview?cn=21940
    - CVE-2011-4576
  * SECURITY UPDATE: malformed RFC 3779 data denial of service attack
    - crypto/x509v3/v3_addr.c: prevent malformed RFC3779 data
      from triggering an assertion failure
    - http://cvs.openssl.org/chngview?cn=21937
    - CVE-2011-4577
  * SECURITY UPDATE: Server Gated Cryptography (SGC) denial of service
    - ssl/s3_srvr.c, ssl/ssl.h, ssl/ssl3.h, ssl/ssl_err.c: Only allow
      one SGC handshake restart for SSL/TLS.
    - CVE-2011-4619
  * SECURITY UPDATE: fix for CVE-2011-4108 denial of service attack
    - ssl/d1_pkt.c: improve handling of DTLS MAC
    - http://cvs.openssl.org/chngview?cn=22032
    - CVE-2012-0050
  * crypto/ecdsa/ecdsatest.c: fix ECDSA tests
    - http://cvs.openssl.org/chngview?cn=21777
    - http://cvs.openssl.org/chngview?cn=21995
  * debian/libssl0.9.8.postinst: Only issue the reboot notification for
    servers by testing that the X server is not running (LP: #244250)

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 31 Jan 2012 01:46:26 -0800

openssl (0.9.8g-4ubuntu3.13) hardy-security; urgency=low

  * SECURITY UPDATE: ciphersuite downgrade vulnerability
    - ssl/s3_clnt.c, ssl/s3_srvr.c: disable workaround for Netscape
      cipher suite bug
    - http://openssl.org/news/secadv_20101202.txt
    - CVE-2010-4180

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 03 Dec 2010 12:44:09 -0800

openssl (0.9.8g-4ubuntu3.12) hardy-security; urgency=low

  * SECURITY UPDATE: TLS race condition leading to a buffer overflow and
    possible code execution. (LP: #676243)
    - ssl/t1_lib.c: stricter NULL/not-NULL checking
    - http://openssl.org/news/secadv_20101116.txt
    - CVE-2010-3864

 -- Steve Beattie <sbeattie@ubuntu.com>  Wed, 17 Nov 2010 09:02:39 -0800

openssl (0.9.8g-4ubuntu3.11) hardy-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    unchecked bn_wexpand return values. (LP: #655884)
    - crypto/bn/{bn_mul,bn_div,bn_gf2m}.c, crypto/ec/ec2_smpl.c,
      engines/e_ubsec.c: check return values.
    - http://cvs.openssl.org/chngview?cn=18936
    - http://cvs.openssl.org/chngview?cn=19309
    - CVE-2009-3245
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted private key with an invalid prime.
    - ssl/s3_clnt.c: set bn_ctx to NULL after freeing it.
    - http://www.mail-archive.com/openssl-dev@openssl.org/msg28049.html
    - CVE-2010-2939

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 06 Oct 2010 18:21:02 -0400

openssl (0.9.8g-4ubuntu3.10) hardy-security; urgency=low

  * SECURITY UPDATE: TLS renegotiation flaw (LP: #616759)
    - apps/{s_cb,s_client,s_server}.c, doc/ssl/SSL_CTX_set_options.pod,
      ssl/{d1_both,d1_clnt,d1_srvr,s3_both,s3_clnt,s3_pkt,s3_srvr,ssl_err,
      ssl_lib,t1_lib,t1_reneg}.c, ssl/Makefile, ssl/{ssl3,ssl,ssl_locl,
      tls1}.h: backport rfc5746 support from openssl 0.9.8m.
    - CVE-2009-3555
  * Enable tlsext, and backport some patches from jaunty now that tlsext is
    enabled.
    - Fix a problem with tlsext preventing firefox 3 from connection.
    - Don't add extentions to ssl v3 connections. It breaks with some
      other software.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Aug 2010 08:35:55 -0400

openssl (0.9.8g-4ubuntu3.9) hardy-security; urgency=low

  * SECURITY UPDATE: memory leak possible during state clean-up.
    - crypto/comp/c_zlib.c: upstream fixes applied inline.
    - CVE-2009-4355

 -- Kees Cook <kees@ubuntu.com>  Wed, 13 Jan 2010 11:19:14 -0800

openssl (0.9.8g-4ubuntu3.8) hardy-security; urgency=low


